import type { CodeLanguage } from "@notion-md-converter/core/types";
type EmbedCodePenOptions = {
    height?: string;
    defaultTab?: string;
};
type EmbedFigmaOptions = {
    height?: string;
    width?: string;
};
type EmbedSlideShareOptions = {
    width?: string;
    height?: string;
};
type EmbedGoogleSlideOptions = {
    width?: string;
    height?: string;
};
type EmbedYoutubeOptions = {
    width?: string;
    height?: string;
};
export declare const QiitaMarkdownUtils: {
    codeBlock: (code: string, options?: {
        diff?: boolean;
        language?: CodeLanguage;
        filename?: string;
    }) => string;
    equationBlock: (equation: string) => string;
    note: (text: string, color?: "info" | "warn" | "alert") => string;
    linkCard: (url: string) => string;
    embedX: (url: string) => string;
    embedCodeSandbox: (url: string) => string;
    embedCodePen: (url: string, options?: EmbedCodePenOptions) => string;
    embedGitHubGist: (url: string) => string;
    embedAsciinema: (url: string) => string;
    embedFigma: (url: string, options?: EmbedFigmaOptions) => string;
    embedSpeakerDeck: (id: string) => string;
    embedSlideShare: (url: string, options?: EmbedSlideShareOptions) => string;
    embedGoogleSlide: (url: string, options?: EmbedGoogleSlideOptions) => string;
    embedDocswell: (url: string) => string;
    embedYoutube: (url: string, options?: EmbedYoutubeOptions) => string;
    embedByURL: (url: string) => {
        result: string;
        isEmbed: boolean;
    };
};
export {};
